#version 430 core

layout(location = 0) in vec3 position;

out vec3 texCoords;

uniform mat4 viewProjMatrix;

void main() 
{
	texCoords = position;
	vec4 pos = viewProjMatrix * vec4(position, 1.0f);
	gl_Position = pos.xyww;
}